#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# Script Name       : preview.py
# Author            : mutsx
# Created           : Tue, 27 Oct 2015
# Last Modified     : Thu, 29 Oct 2015
# License           : MIT


from prettytable import PrettyTable

class Preview:

    def __init__(self):
        self.table = PrettyTable(['Old file', 'New file'])

    def add(self, oldfile, newfile):
        '''
        Add a preview to the table

        :param oldfile: The file in the cwd
        :param newfile: The old file in the new destination and corrected
        '''
        if oldfile != newfile:
            self.table.add_row([oldfile, newfile])

    def show(self, total_files, corrected_files):
        ''' Show the preview '''
        self.table.align = 'l'
        self.table.padding_width = 2
        self.table.max_width = 50
        print(self.table)
        print('{} / {} will be corrected when running mubu.'.format(corrected_files, total_files))
        print('Run "mubu -b" or "mubu -b -r" if you are happy with the results above.')

preview = Preview()
