#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# Script Name       : progressbar.py
# Author            : mutsx
# Created           : Mon, 26 Oct 2015
# Last Modified     : Wed, 28 Oct 2015
# License           : MIT

import sys

class ProgressBar:

    def update(self, total_files, finished_files):
        '''
        Show and/or update the progress bar

        :param total_files: The amount of files in the cwd
        :param finished_files: The amount of files that are already done
        '''
        percentage = 100 / len(total_files) * finished_files
        sys.stdout.write( "[ mubu ] [ %d%% ] Beautifying files...\r" % (percentage) )
        sys.stdout.flush()

progress = ProgressBar()
